#  *******************************************************************************
#  Copyright (c) 2019 Contributors to the Eclipse Foundation
#
#  See the NOTICE file(s) distributed with this work for additional
#  information regarding copyright ownership.
#
#  This program and the accompanying materials are made available under the
#  terms of the Eclipse Public License v. 2.0 which is available at
#  http://www.eclipse.org/legal/epl-2.0.
#
#  SPDX-License-Identifier: EPL-2.0
#  *******************************************************************************
spring:
  rabbitmq:
    host: entdockergss
    port: 5672
    username: ${GFI_RABBITMQ_USERNAME}
    password: ${GFI_RABBITMQ_PASSWORD}

    # Importkanal
    importExchange: sitImportExchange
    importQueue: sitImportQueue
    importkey: sitImportExchange.failureImportKey

logging:
  level:
    root: INFO
    org.eclipse.openk: INFO
    org.springframework.web: ERROR

server:
  port: 9198
  max-http-header-size: 262144


sftp:
  enable-polling: true
  host: 169.50.13.154
  #privateKey: classpath:/keys/privateOpenKQServer_key-SAMO-Interface
  #privateKey: file:C:\keys\privateOpenKQServer_key-SAMO-Interface
  privateKey:
  privateKeyPassphrase:
  user: ${GFI_SAMO_SFTP_USERNAME}
  password: ${GFI_SAMO_SFTP_PASSWORD}
  deleteRemoteFile: false
  directory: /opt/transfer/SAMOInterfaceDEVsftpTest/
  fileFilter: '*.json'
  cron: 0/10 * * ? * * # Check for new file in directory every 'cron' time
  
gridFailureInformation:
  autopublish: false
  onceOnlyImport: false
  excludeEquals: true
  excludeAlreadyEdited: false
---

spring:
  profiles: test

---

spring:
  profiles: devserver

logging:
  level:
    root: INFO
    org.eclipse.openk: DEBUG
    org.springframework.web: ERROR

server:
  port: 9198

---

spring:
  profiles: devserver-branch
  rabbitmq:
    # Importkanal
    importExchange: sitImportExchange_branch
    importQueue: sitImportQueue_branch
    importkey: sitImportExchange.failureImportKey

---

spring:
  profiles: qserver
  rabbitmq:
    host: localhost
    port: 5672
    username: ${GFI_RABBITMQ_USERNAME}
    password: ${GFI_RABBITMQ_PASSWORD}

    # Importkanal
    importExchange: sitImportExchange
    importQueue: sitImportQueue
    importkey: sitImportExchange.failureImportKey

logging:
  level:
    root: INFO
    org.eclipse.openk: DEBUG
    org.springframework.web: ERROR

server:
  port: 9198
  max-http-header-size: 262144
  servlet:
    session:
      tracking-modes: cookie

sftp:
  enable-polling: false
  host: 169.50.13.154
  #privateKey: classpath:/keys/privateOpenKQServer_key-SAMO-Interface
  privateKey:
  privateKeyPassphrase:
  user: ${GFI_SAMO_SFTP_USERNAME}
  password: ${GFI_SAMO_SFTP_PASSWORD}
  deleteRemoteFile: false
  directory: /opt/transfer/SAMOInterfaceDEVsftpTest/
  fileFilter: '*.json'
  cron: 0/10 * * ? * * # Check for new file in directory every 'cron' time